package de.hft.stuttgart.citydoctor2.gui.tree;

import de.hft.stuttgart.citydoctor2.datastructure.BuildingPart;
import de.hft.stuttgart.citydoctor2.gui.CheckStatus;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class BuildingPartNode extends Renderable {

	private final BuildingPart bp;

	public BuildingPartNode(BuildingPart bp) {
		this.bp = bp;
	}

	@Override
	public String getText() {
		return bp.getGmlId().getGmlString();
	}

	@Override
	public void visit(Renderer renderer) {
		renderer.render(bp);
	}

	@Override
	public void refreshTextColor() {
		if (!bp.isValidated()) {
			setStatus(CheckStatus.NOT_CHECKED);
		} else if (bp.containsAnyError()) {
			setStatus(CheckStatus.ERROR);
		} else {
			setStatus(CheckStatus.OK);
		}
	}

}
